// LesNebuleuses.h: interface for the LesNebuleuses class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_LESNEBULEUSES_H_)
#define _LESNEBULEUSES_H_

#include <vector>
#include <iostream.h>
#include "Nebuleuse.h"

using namespace std ;

class LesNebuleuses  
{
public:
	LesNebuleuses();
	virtual ~LesNebuleuses();
	int Lire(char * fileName);	
	void Afficher();			// Draw all the Nebulaes
	int LireTexture();
	int Rechercher(vec3_t Pos);				// Search the Nebulae by position
	// Return data about the selected star
	void InfoSelect(vec3_t & XYZ_t, float & Ra,float & De,float & Mag,char * & Nom,unsigned int & MessierNum,unsigned int & NGCNum, float & size) 
	{	XYZ_t=(*Selectionnee).XYZ;
		Ra=(*Selectionnee).RaRad;
		De=(*Selectionnee).DecRad;
		Mag=(*Selectionnee).Mag;
		Nom=(*Selectionnee).Name;
		MessierNum=(*Selectionnee).Messier;
		NGCNum=(*Selectionnee).NGC;
		size=((*Selectionnee).Taille);
	}


private:
	vector<Nebuleuse*> Liste;				// list of Nebulaes*
	Nebuleuse * Selectionnee;				// Selected nebulae
};

#endif // !defined(_LESNEBULEUSES_H_)
